Subject: Re: [saag] [EXTERNAL] Re: About the "Draft text for a PQ Maintenance WG"

From: "Sheehe, Charles J. (GRC-LCN0)" <[email-masked]>
Date: Thu, 14 Oct 2021 12:19:28 +0000

Hi

I think the charter looks fine.

Thanks
Chuck

Charles J. Sheehe III
Computer Engineer
Secure Networks, System 
Integration and Test Branch (LCN)
Glenn Research Center
21000 Brookpark Rd
Cleveland, OH 44135
[email-masked] Email
[email-masked] SIPRmail
Office: 216-433-5179
     It is not the critic who counts; not the man who points out how the strong man stumbles, or where the doer of deeds could have done them better. 

    The credit belongs to the man who is actually in the arena, whose face is marred by dust and sweat and blood; who strives valiantly; who errs, who comes short again and again, because there is no effort without error and shortcoming; but who does actually strive to do the deeds; who knows great enthusiasms, the great devotions; who spends himself in a worthy cause; who at the best knows in the end the triumph of high achievement, and who at the worst, if he fails, at least fails while daring greatly, so that his place shall never be with those cold and timid souls who neither know victory nor defeat. Theodore Roosevelt

-----Original Message-----
From: saag <[email-masked]> On Behalf Of Roman Danyliw
Sent: Wednesday, September 29, 2021 2:23 PM
To: Kampanakis, Panos <[email-masked]>; Salz, Rich <rsalz=[email-masked]>; Benjamin Kaduk <[email-masked]>; [email-masked]
Subject: [EXTERNAL] Re: [saag] About the "Draft text for a PQ Maintenance WG"

Hi!

We've heard this confusion on using the "maintenance" short hand to characterize this potential body of work.  The intent was what Panos described - a short hand where the "maintenance" was on existing IETF protocol to allow it to benefit from PQC mechanisms.

The proposed, templated charter language more precisely captures the intent -- "The [Planned WG Name] working group ([Planned WG Acronym]) is chartered as a WG to analyze, adapt or update IETF protocols, registries, and associated code points with PQ cryptographic mechanisms." (https://github.com/rdanyliw/ietf-pq-maintenance/blob/main/pqm-charter.md <https://gcc02.safelinks.protection.outlook.com/?url=https%3A%2F%2Fgithub.com%2Frdanyliw%2Fietf-pq-maintenance%2Fblob%2Fmain%2Fpqm-charter.md&data=04%7C01%7CCharles.J.Sheehe%40nasa.gov%7Cd092f22f99ec48fe1a1a08d983764e40%7C7005d45845be48ae8140d43da96dd17b%7C0%7C0%7C637685366837666194%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C2000&sdata=mJG8R%2FPW8OcWxEdkDGyJ1P0DxvUhWd2XODuf55oYDSM%3D&reserved=0> ).  I've removed "PQ maintenance" from the header of the templated charter.  It now reads "PQC Agility WG".  The term didn't appear in the charter text itself.  However, to eliminate all possible confusion I also the one instance of maintenance by s/protocol maintenance/protocol changes/.

Roman  

From: Kampanakis, Panos <[email-masked]> 
Sent: Wednesday, September 29, 2021 12:53 PM
To: Salz, Rich <rsalz=[email-masked]>; Roman Danyliw <[email-masked]>; Benjamin Kaduk <[email-masked]>; [email-masked]
Subject: RE: [saag] About the "Draft text for a PQ Maintenance WG"

Maybe maintenance is the wrong word, but the point is to have a WG for orphaned (without a WG) protocols like CURDLE was for Curve25519/448. 

From: saag <[email-masked] <mailto:[email-masked]> > On Behalf Of Salz, Rich
Sent: Wednesday, September 29, 2021 12:41 PM
To: Ludovic Perret <[email-masked] <mailto:[email-masked]> >; Roman Danyliw <[email-masked] <mailto:[email-masked]> >; Benjamin Kaduk <[email-masked] <mailto:[email-masked]> >; [email-masked] <mailto:[email-masked]> 
Cc: Kampanakis, Panos <kpanos=[email-masked] <mailto:kpanos=[email-masked]> >
Subject: RE: [EXTERNAL] [saag] About the "Draft text for a PQ Maintenance WG"

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you can confirm the sender and know the content is safe.

I find the concept of post-quantum *maintenance* very strange.